<?php
/**
 * Test for the LoginManager class
 * ===============================
 *
 * This example sets up an authorization system using the LoginManager
 * class. You don't have to use this to use the LiveUser class(es), but
 * this way you don't need to take care of the login-process, storing
 * the user object in a session and more...
 *
 * This example is intended to be used with the DB_Medium Perm driver.
 *
 * @version $Id: coffeemaker.php,v 1.6 2003/07/22 14:34:54 lsmith Exp $
 **/
error_reporting(E_ALL);

// right definitions
define('MAKE_COFFEE', 6);
define('DRINK_COFFEE', 7);

// Include configuration.
require_once 'conf.php';
// Get LoginManager class definition
require_once 'LiveUser/LiveUser.php';

// The error handling stuff is not needed and used only for debugging
// while LiveUser is not yet mature
PEAR::setErrorHandling(PEAR_ERROR_CALLBACK, 'eHandler');

function eHandler($errObj)
{
    echo('<hr><font color=red>'.$errObj->getMessage().':<br>'.$errObj->getUserinfo().'</font><hr>');
}

// Create new LoginManager object
$LU = LiveUser::factory($liveuserConfig);
?>
<html>
<head>
<title>Example Coffeemaker</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#FFFFFF">
<h1>Welcome in the Coffeemaker section!</h1>
<p>&nbsp;</p>
<?php
// check login status
if(!$LU->isLoggedIn()) {
    $target = 'coffeemaker.php';
    include_once('loginscreen.php');
    exit();
} else {
    if (!$LU->checkRight(MAKE_COFFEE) && !$LU->checkRight(DRINK_COFFEE)) {
        echo "<p>Sorry, but you don't have any rights in this section</p>";
    } else {
        // Okay, he's in. Now let's display some content dependent of
        // his access rights in our application. Let's pretend the current
        // AuthArea of our application is the Coffeemaker section and we want to
        // know whether to user is allowed to make some coffee
        // (the area is not needed until we won't know whether our user is an area
        // admin).
        if ($LU->checkRight(MAKE_COFFEE)) {
            echo "<p>Congrats, you're in the Coffeemaker section and have ";
            echo 'the right to make coffee!</p>';
        } else {
            echo "<p>Your coffee tastes so bad, I won't allow you to make some</p>";
        }
    
        // check if the user is allowed to drink coffee. checkRight will return the level.
        if ($LU->checkRight(DRINK_COFFEE) == 1) {
            echo '<p>Yey ! You can even drink some coffee (but perhaps you should ask your boss first ;-) ))</p>';
        } elseif ($LU->checkRight(DRINK_COFFEE) == 3) {
            echo '<p>Hi '.$LU->getHandle().'! Taste this delicious coffee.</p>';
        } else {
            echo '<p>Well, sorry dude, you cannot drink in here</p>';
        }
    }
}
?>
<p>&nbsp;</p>
<p align="center"><a href="coffeemaker.php?logout=1">Logout</a></p>
</body>
</html>